# coding=utf-8
from parallels.core.utils.message_utils import single_line_message, load_overrides

DEPLOY_MIGRATION_AGENT = single_line_message("""
    Deploy migration agent to '{server_ip}'
""")
EXECUTE_PREMIGRATION_SCRIPT = single_line_message("""
    Execute PMM agent's pre-migration script
""")
EXECUTE_CREATE_DUMP_XML = single_line_message("""
    Execute PMM agent's create dump XML script
""")
DOWNLOAD_PREMIGRATION_REPORT = single_line_message("""
    Download pre-migration report XML to '%s'
""")
ERROR_PERFORMING_PRE_MIGRATION = single_line_message("""
    Error performing pre-migration checks
""")
FETCH_INFO_FROM_SOURCE_SERVERS = single_line_message("""
    fetch info from source servers
""")
MIGRATION_DUMP_ALREADY_EXISTS_SKIP = single_line_message("""
    Migration dump already exists, skip loading
""")
LOG_STEP_CREATE_SOURCE_PANEL_DUMP_XML = single_line_message("""
    Create source panel dump XML
""")
LOG_DOWNLOAD_DUMP_LOG = single_line_message("""
    Download dump log to '%s'
""")
LOG_DUMP_XML_TO = single_line_message("""
    Download dump XML to '%s'
""")
ERROR_CREATING_DUMP = single_line_message("""
    Error creating migration dump: %s
""")
ERROR_DOWNLOADING_DUMP_LOG = single_line_message("""
    Error downloading dump log file: %s
""")
RUN_PRE_MIGRATION_CHECKS = single_line_message("""
    Run pre-migration checks
""")
DOWNLOAD_PRE_MIGRATION_LOG = single_line_message("""
    Download pre-migration log to '%s'
""")
ERROR_DOWNLOADING_PRE_MIGRATION_LOG = single_line_message("""
    Error downloading pre-migration log file: %s
""")
REPORT_PRE_MIGRATION_ISSUES = single_line_message("""
    Pre-migration issues
""")

# Load language and UI type overrides. That must be the last line of root messages file.
load_overrides(__name__, locals())
